import { OnInit, OnDestroy } from '@angular/core';
import { EnvConfig } from '../../interface/env-config';
import { User } from '../../interface/user';
import { NzMessageService, NzModalService } from 'ng-zorro-antd';
import { AngularFirestore } from '@angular/fire/firestore';
import { Router } from '@angular/router';
import { AuthService } from '../../service/auth.service';
import { UnsubscriptionService } from '../../service/unsubscription.service';
export declare class DashboardComponent implements OnInit, OnDestroy {
    private config;
    private afs;
    private unsubscription;
    private modal;
    private router;
    private auth;
    private message;
    now: Date;
    brand: string;
    brandURL: string;
    isCollapsed: boolean;
    isReverseArrow: boolean;
    width: number;
    user: User;
    isLoginPage: boolean;
    constructor(config: EnvConfig, afs: AngularFirestore, unsubscription: UnsubscriptionService, modal: NzModalService, router: Router, auth: AuthService, message: NzMessageService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    logout(): void;
    getProfilePic(): {
        'background-image': string;
    } | {
        'background-image'?: undefined;
    };
}
