import { OnInit, OnDestroy } from '@angular/core';
import { Titlebar } from '../../interface/titlebar';
import { Observable } from 'rxjs';
import { Post } from '../../interface/post';
import { AuthService } from '../../service/auth.service';
import { AngularFirestore } from '@angular/fire/firestore';
import { HelperService } from '../../service/helper.service';
export declare class FormsComponent implements OnInit, OnDestroy {
    private auth;
    private afs;
    private helper;
    titlebar: Titlebar;
    items: Observable<Post[] | {
        $key: string;
    }[]>;
    header: ({
        label: string;
        key: string;
        pipe?: undefined;
        pipeParameter?: undefined;
    } | {
        label: string;
        key: string;
        pipe: string;
        pipeParameter: {
            "keys": string[];
            "separator": string;
        };
    } | {
        label: string;
        key: string;
        pipe: string;
        pipeParameter: string;
    })[];
    constructor(auth: AuthService, afs: AngularFirestore, helper: HelperService);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
