import { OnInit, OnDestroy } from '@angular/core';
import { UnsubscriptionService } from '../../service/unsubscription.service';
import { Titlebar } from '../../interface/titlebar';
import { FormBuilder } from '@angular/forms';
import { AngularEditorConfig } from '../../interface/editor';
import { Observable } from 'rxjs';
import { Post } from '../../interface/post';
import { TableHeader } from '../../interface/table';
import { AuthService } from '../../service/auth.service';
import { AngularFirestore } from '@angular/fire/firestore';
import { HelperService } from '../../service/helper.service';
export declare class PostsComponent implements OnInit, OnDestroy {
    private fb;
    private unsubscription;
    private auth;
    private afs;
    private helper;
    items: Observable<Post[] | {
        $key: string;
    }[]>;
    header: Array<TableHeader>;
    showNewModal: boolean;
    titlebar: Titlebar;
    form: import("@angular/forms").FormGroup;
    submit(): void;
    editorConfig: AngularEditorConfig;
    constructor(fb: FormBuilder, unsubscription: UnsubscriptionService, auth: AuthService, afs: AngularFirestore, helper: HelperService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    openForm(): void;
}
